#ifndef __COMMON_GPIO_H
#define __COMMON_GPIO_H

#include <stdbool.h>

//
void gpio_wdt_init(void);

//
void gpio_mbaddr_init(void);

//
uint8_t gpio_get_mbaddr(void);

//
bool gpio_check_mbaddr(uint8_t old_addr, uint8_t *new_addr);

// 
void gpio_update_rev(void);

//
uint16_t gpio_get_board_rev(void);

//
void extern_wdt_togle(void);


extern uint16_t board_rev;


#endif  // __COMMON_GPIO_H

